package com.lstznkj.groundstation;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.lstznkj.groundstation.security.jwt.JWTUtils;
import com.lstznkj.groundstation.utils.DateUtil;
import com.lstznkj.groundstation.utils.ObjectUtil;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;

@Configuration
public class BeanFacotry {
    @Bean
    public BCryptPasswordEncoder getBCryptPasswordEncoder()
    {
        return new BCryptPasswordEncoder();
    }
    @Bean
    public JWTUtils jwtUtils()
    {
        return new JWTUtils();
    }
    @Bean
    public ObjectMapper objectMapper()
    {
        return new ObjectMapper();
    }
    @Bean
    public ObjectUtil objectUtil(){
        return new ObjectUtil();
    }
//    @Bean
//    public DateUtil dateUtil(){
//        return DateUtil.getSingleInstance();
//    }


}
