package com.lstznkj.groundstation.DTO.crane_station;

import com.lstznkj.groundstation.model.crane.DataType;

import java.sql.Timestamp;

public class ModbusDataSourceDTO {

    private int id;
    private String name;

    //是否启用
    private Boolean isEnable;

    //采集地址(具体寄存器地址或者PLC 数据块地址)
    private String address;

    private DataType dataType;

    //偏移量
    private int offset;
    //读取长度
    private int quantity;

    //mqtt发布主题名称
    private String publishTopic;

    private Timestamp createTimestamp;

    private Timestamp updateTimestamp;

    private String createTime;

    private int dataTypeId;

    private String updateTime;

    //报警阈值
    private float threshold;
    private float maxValue;
    private float minValue;

    private String extraInfo;

    public void setId(int id) {
        this.id = id;
    }

    public void setExtraInfo(String extraInfo) {
        this.extraInfo = extraInfo;
    }

    public String getExtraInfo() {
        return extraInfo;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setEnable(Boolean enable) {
        isEnable = enable;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public void setDataType(DataType dataType) {
        this.dataType = dataType;
    }

    public void setOffset(int offset) {
        this.offset = offset;
    }

    public void setQuantity(int quantity) {
        this.quantity = quantity;
    }

    public void setPublishTopic(String publishTopic) {
        this.publishTopic = publishTopic;
    }

    public void setCreateTimestamp(Timestamp createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public void setUpdateTimestamp(Timestamp updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public void setDataTypeId(int dataTypeId) {
        this.dataTypeId = dataTypeId;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public void setThreshold(float threshold) {
        this.threshold = threshold;
    }

    public void setMaxValue(float maxValue) {
        this.maxValue = maxValue;
    }

    public void setMinValue(float minValue) {
        this.minValue = minValue;
    }

    public int getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public Boolean getEnable() {
        return isEnable;
    }

    public String getAddress() {
        return address;
    }

    public DataType getDataType() {
        return dataType;
    }

    public int getOffset() {
        return offset;
    }

    public int getQuantity() {
        return quantity;
    }

    public String getPublishTopic() {
        return publishTopic;
    }

    public Timestamp getCreateTimestamp() {
        return createTimestamp;
    }

    public Timestamp getUpdateTimestamp() {
        return updateTimestamp;
    }

    public String getCreateTime() {
        return createTime;
    }

    public int getDataTypeId() {
        return dataTypeId;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public float getThreshold() {
        return threshold;
    }

    public float getMaxValue() {
        return maxValue;
    }

    public float getMinValue() {
        return minValue;
    }
}
