package com.lstznkj.groundstation.repo.crane.extra;

import com.lstznkj.groundstation.model.crane.Device;
import com.lstznkj.groundstation.model.crane.LifeModel;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.CrudRepository;

public interface LifeModelRepository extends JpaRepository<LifeModel,Integer> {
    long deleteByDevice(Device device);

    LifeModel findByDevice_Id(Integer id);

    boolean existsByDevice_Id(Integer id);
}
