package com.lstznkj.groundstation.repo;


import com.lstznkj.groundstation.model.User;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.CrudRepository;

public interface UserRepository extends JpaRepository<User,Integer> {
    User findUserByUsername(String account);

    int deleteUserByUsername(String account);
    boolean existsUserByUsername(String account);
}
