package com.lstznkj.groundstation.repo.crane;

import com.lstznkj.groundstation.model.crane.DataType;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;

public interface DataTypeRepository extends JpaRepository<DataType,Integer> {
    DataType findByName(String name);

    Optional<DataType> findById(Integer id);
    DataType findDataTypeById(Integer id);

    List<DataType> findAll();
}
