package com.lstznkj.groundstation.repo.crane.extra;

import com.lstznkj.groundstation.model.crane.Device;
import com.lstznkj.groundstation.model.crane.extra.Equipment;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.CrudRepository;

public interface EquipmentRepository extends JpaRepository<Equipment,Integer> {
    Equipment findByUuid(String uuid);

    long deleteByUuid(String uuid);

    long deleteByDevice(Device device);

    Equipment findByDevice_Id(Integer id);

    boolean existsByDevice_Id(Integer id);
}
